aboutsummaryrefslogtreecommitdiff
path: root/install.sh
diff options
context:
space:
mode:
authorDamian Rouson <damian@sourceryinstitute.org>2020-10-13 10:03:15 -0700
committerDamian Rouson <damian@sourceryinstitute.org>2020-10-27 11:54:59 -0700
commit70b25be45ac318db445cffb2b91ecadc70ffeafa (patch)
treedf9a52927ec8996c0d09f24ad83f146dcae7f556 /install.sh
parent4443986b3d5690ce4ee8bbc348834caa2040be23 (diff)
downloadfpm-70b25be45ac318db445cffb2b91ecadc70ffeafa.tar.gz
fpm-70b25be45ac318db445cffb2b91ecadc70ffeafa.zip
WIP: start installation script
Diffstat (limited to 'install.sh')
-rwxr-xr-xinstall.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/install.sh b/install.sh
new file mode 100755
index 0000000..62e6892
--- /dev/null
+++ b/install.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+set -u # error on use of undefined variable
+set -e # exit on error
+
+# Install Haskell Stack to /usr/local/bin/stack
+if command -v stack &> /dev/null ; then
+ echo "found stack"
+else
+ curl -sSL https://get.haskellstack.org/ | sh
+fi
+
+
+# Check for Stack in /usr/local/bin/stack
+
+# On macOS, it might be necessary to run 'xcode-select --install' and/or
+# 'open /Library/Developer/CommandLineTools/Packages/macOS_SDK_headers_for_macOS_10.14.pkg'
+# to set up the Xcode command-line tools, which Stack uses.
+
+# Add '${USER}/.local/bin' the beginning of PATH in the fpm-setup.sh
+
+#cd boostrap
+#stack install
+
+# Check for fpm in ${USER}/.local/bin